Subject: Re: bug#70760: 29.3.50; core dumps when copy in other apps

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 May 2024 22:20:45 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 18 May 2024 20:22:21 +0200
> 
> > But the only place in Emacs that generates dbus-event events is
> > dbusbind.c, right?  So in that case, the first suspect is some Lisp
> > package that pushes such events onto the Emacs event queue, do you
> > agree?
> 
> I agree, the Lispy D-Bus event should be generated only in dbusbind.c.
> 
> I've checked Emacs proper (lisp/ subdirectory), GNU ELPA and NonGNU ELPA
> for the string "dbus-event". Obviously, it is contained in dbus.el. In
> helm-core.el and tramp-gvfs.el, `dbus-event' is added to
> `while-no-input-ignore-events'. In notifications.el, secrets.el,
> tramp-gvfs.el and zeroconf.el accessor funtions of the `dbus-event'
> structure are used. None of this looks strange to me.

OK, I will try to look for some way of catching these events when they
enter the input queue.